> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/lead.md).

# Lead

Leads are used to track potential new opportunities and can be converted to accounts

| Name                   | Type                                                                | Description                                                  |
| ---------------------- | ------------------------------------------------------------------- | ------------------------------------------------------------ |
| account                | [Account](/developer/api-reference/types/account.md)                | Account that lead has converted to                           |
| accountId              | ID                                                                  |                                                              |
| accountType            | [AccountType](/developer/api-reference/types/accounttype.md)        | Type of account                                              |
| accountTypeId          | ID                                                                  |                                                              |
| campaigns              | List ([Campaign](/developer/api-reference/types/campaign.md))       | The campaigns the lead is a member of                        |
| city                   | String                                                              | City of the lead                                             |
| company                | String                                                              | Company of the lead                                          |
| companyOrFullName      | String                                                              | Company if present, else contact's fullname                  |
| converted              | Boolean                                                             | Flag indicating if the lead has been converted to an account |
| convertedAt            | ISO8601DateTime                                                     | Datetime the lead was converted to an account                |
| country                | String                                                              | Country of the lead                                          |
| createdAt              | ISO8601DateTime                                                     | Datetime the lead was created                                |
| customFieldDefinitions | List ([CustomField](/developer/api-reference/types/customfield.md)) | Custom field definitions for this object type                |
| customFieldsData       | JSON                                                                | All custom field values for this object as a JSON object     |
| description            | String                                                              | Description of the lead                                      |
| email                  | String                                                              | Email address of the contact                                 |
| employees              | Int                                                                 | Number of employees                                          |
| entity                 | [Entity](/developer/api-reference/types/entity.md)                  | The entity this lead belongs to                              |
| entityId               | ID                                                                  | The ID of the entity this lead belongs to                    |
| firstName              | String                                                              | First name of the contact                                    |
| fullName               | String                                                              | Full name of the contact                                     |
| groupId                | ID                                                                  | Group that the lead belongs to                               |
| hasCustomFields        | Boolean                                                             | Whether this object type has any custom fields defined       |
| id                     | ID                                                                  | Unique identifier for the lead                               |
| industry               | [Industry](/developer/api-reference/types/industry.md)              | Industry of the lead                                         |
| industryId             | ID                                                                  | Industry of the lead                                         |
| lastName               | String                                                              | Last name of the contact                                     |
| leadSource             | [LeadSource](/developer/api-reference/types/leadsource.md)          | Source of the lead                                           |
| leadSourceId           | ID                                                                  | Source of the lead                                           |
| leadSources            | List ([LeadSource](/developer/api-reference/types/leadsource.md))   | List of lead sources                                         |
| leadStatus             | [LeadStatus](/developer/api-reference/types/leadstatus.md)          | Status of the lead                                           |
| leadStatusId           | ID                                                                  | Status of the lead                                           |
| leadStatuses           | List ([LeadStatus](/developer/api-reference/types/leadstatus.md))   | List of lead statuses                                        |
| linkedinUrl            | String                                                              | Link to the contact's LinkedIn profile                       |
| mobile                 | String                                                              | Mobile number of the contact                                 |
| owner                  | [User](/developer/api-reference/types/user.md)                      | Owner of the lead                                            |
| ownerUserId            | ID                                                                  | Owner of the lead                                            |
| phone                  | String                                                              | Phone number of the contact                                  |
| revenue                | Int                                                                 | Annual revenue of the lead                                   |
| state                  | String                                                              | State of the lead                                            |
| street                 | String                                                              | Street address of the lead                                   |
| title                  | String                                                              | Job title of the contact                                     |
| updatedAt              | ISO8601DateTime                                                     | Datetime the lead was last updated                           |
| users                  | List ([User](/developer/api-reference/types/user.md))               | Users with access to the lead                                |
| website                | String                                                              | Company website URL                                          |
| zip                    | String                                                              | Zip/PostalCode of the lead                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/lead.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
